Bug 221267 - WebXRSystem::RequestSession with 'viewer' as a required feature should succeed
Summary: WebXRSystem::RequestSession with 'viewer' as a required feature should succeed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebXR (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 208988
  Show dependency treegraph
 
Reported: 2021-02-02 09:27 PST by Imanol Fernandez
Modified: 2021-02-10 14:43 PST (History)
2 users (show)

See Also:


Attachments
Patch (5.61 KB, patch)
2021-02-02 09:56 PST, Imanol Fernandez
svillar: review+
Details | Formatted Diff | Diff
Patch for landing (5.65 KB, patch)
2021-02-08 07:44 PST, Imanol Fernandez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Imanol Fernandez 2021-02-02 09:27:57 PST
WebXRSystem::RequestSession with 'viewer' as a required feature should succeed, even without user activation.
Comment 1 Imanol Fernandez 2021-02-02 09:56:32 PST
Created attachment 419017 [details]
Patch
Comment 2 Sergio Villar Senin 2021-02-08 07:22:09 PST
Comment on attachment 419017 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=419017&action=review

> Source/WebCore/Modules/webxr/WebXRSystem.cpp:211
> +            auto feature = parseEnumeration<XRReferenceSpaceType>(*globalObject.document()->globalObject(), features.first());

I guess you can directly use the document parameter instead of retrieving it from the DOMWindow.

> LayoutTests/ChangeLog:8
> +        * platform/wpe/TestExpectations:

Nit: just add something like "marked a test as passing" or something like that.
Comment 3 Imanol Fernandez 2021-02-08 07:44:28 PST
Created attachment 419591 [details]
Patch for landing
Comment 4 EWS 2021-02-08 08:17:08 PST
Committed r272492: <https://commits.webkit.org/r272492>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 419591 [details].
Comment 5 Radar WebKit Bug Importer 2021-02-10 14:43:50 PST
<rdar://problem/74207130>